import React from 'react';
import {View, StyleSheet, Text} from 'react-native';
import { LinearGradient } from 'expo-linear-gradient';


const PropValueCard = props => {

    return (
        <LinearGradient
            colors={['#0075c4', '#1A8FDE']}
            start={[0, 0]}
            end={[1, 0]}
            style={styles.gradient}>

            <Text style={{color:'white', fontSize: 16}}>
                {props.label}
            </Text>
            <Text style={{color:'white', fontSize: 55}}>
                {props.value}
            </Text>
        </LinearGradient>
    );
};

const styles = StyleSheet.create({
    gradient : {
        flex: 1,
        padding: 15,
        alignItems: 'center',
        borderRadius: 16,
        margin:15,
        marginRight: 4,
        height:120,
        justifyContent:'center',
    }
});


export default PropValueCard;
